Subject: [quicwg/base-drafts] fb6470: Pseudocode for persistent congestion is too hard

From: Jana Iyengar <[email-masked]>
Date: Tue, 08 Sep 2020 15:55:59 -0700

Branch: refs/heads/master
  Home:   https://github.com/quicwg/base-drafts
  Commit: fb64708249f8e089121082ba0de6e4cd0c6648c1
      https://github.com/quicwg/base-drafts/commit/fb64708249f8e089121082ba0de6e4cd0c6648c1
  Author: Martin Thomson <[email-masked]>
  Date:   2020-09-02 (Wed, 02 Sep 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Pseudocode for persistent congestion is too hard

This removes that function, relying instead on comments and the
definition in text (which people have noted is now very clear).

I have also reset a couple of extra variables in this case.  It is
important to catch all of these because if you don't you get poor
outcomes.

The only question I have is regarding bytes in flight.  I think that we
need to keep tracking those bytes, or the overall accounting gets messy.
That is what our implementation does anyway.

Closes #4010.
Closes #3972.

  Commit: a8adc5d8d5ccab2cb05dc3a371057c71df275a76
      https://github.com/quicwg/base-drafts/commit/a8adc5d8d5ccab2cb05dc3a371057c71df275a76
  Author: Martin Thomson <[email-masked]>
  Date:   2020-09-09 (Wed, 09 Sep 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  oops

  Commit: 779d9238f65c3373619615b3b05257196e811e8a
      https://github.com/quicwg/base-drafts/commit/779d9238f65c3373619615b3b05257196e811e8a
  Author: Martin Thomson <[email-masked]>
  Date:   2020-09-09 (Wed, 09 Sep 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Filter out packets sent before an RTT sample

  Commit: 20642c995d59efe11f6c5fbb575aa130e72f73f7
      https://github.com/quicwg/base-drafts/commit/20642c995d59efe11f6c5fbb575aa130e72f73f7
  Author: Martin Thomson <[email-masked]>
  Date:   2020-09-09 (Wed, 09 Sep 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Make a copy for this

  Commit: 71c232f81b377fad180d24e3a19efe256e595725
      https://github.com/quicwg/base-drafts/commit/71c232f81b377fad180d24e3a19efe256e595725
  Author: Martin Thomson <[email-masked]>
  Date:   2020-09-09 (Wed, 09 Sep 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'master' into no-pc-pseudocode

  Commit: c4bd59fee3d0c7b7d6508403d7b7b627b94eeb19
      https://github.com/quicwg/base-drafts/commit/c4bd59fee3d0c7b7d6508403d7b7b627b94eeb19
  Author: Martin Thomson <[email-masked]>
  Date:   2020-09-09 (Wed, 09 Sep 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Copy inline

  Commit: 9c2d7fb58100b6519a5d3fb523541c98d939cbcf
      https://github.com/quicwg/base-drafts/commit/9c2d7fb58100b6519a5d3fb523541c98d939cbcf
  Author: Martin Thomson <[email-masked]>
  Date:   2020-09-09 (Wed, 09 Sep 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  curlies

  Commit: 900535aec0ef510a8cac858ef4a7a17055467656
      https://github.com/quicwg/base-drafts/commit/900535aec0ef510a8cac858ef4a7a17055467656
  Author: Martin Thomson <[email-masked]>
  Date:   2020-09-09 (Wed, 09 Sep 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Invert comment

  Commit: f57edfa2355f1ccc0857d7755b9854762325721d
      https://github.com/quicwg/base-drafts/commit/f57edfa2355f1ccc0857d7755b9854762325721d
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-09-08 (Tue, 08 Sep 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #4080 from quicwg/no-pc-pseudocode

Pseudocode for persistent congestion is too hard

Compare: https://github.com/quicwg/base-drafts/compare/3f5f1991a299...f57edfa2355f